HMM & HMM: Get cross-entropy...

Calculates the cross-entropy between the two selected HMM models based on observation sequences.

## Settings

Observation length
  defines the number of observations that have to generated.
Symmetric
  defines whether the symmetric formula is used in the calculation.

## Algorithm

The cross-entropy is a measure of the distance between two models λ1 and λ2. It is defined as

D(λ1,λ2) = 1/N (log p(O2|λ1) - log p(O2|λ2)),

where O2 is an observation sequence of length N generated by model λ2.

The symmetrized version is:

Ds(λ1,λ2) = (D(λ1,λ2) + D(λ2,λ1))/2.

### Links to this page

- HMM & HMM & HMMObservationSequence: Get cross-entropy